Bug 506407 - Graphviz segmentation fault: double free or corruption (fasttop)
Graphviz segmentation fault: double free or corruption (fasttop)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: graphviz (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 02:49 EDT by Egon Kastelijn
Modified: 2010-06-28 09:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:05:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The Graphviz DOT file that generates a segmentation fault on Fedora 11 (1.39 KB, application/x-msword)
2009-06-17 02:49 EDT, Egon Kastelijn
no flags Details

  None (edit)
Description Egon Kastelijn 2009-06-17 02:49:13 EDT
Created attachment 348213 [details]
The Graphviz DOT file that generates a segmentation fault on Fedora 11

Description of problem:
Graphviz crashes with a segmentation fault.

Version-Release number of selected component (if applicable):
graphviz-2.20.3-3.fc11.x86_64

How reproducible:
alway

Steps to Reproduce:
1. Install graphviz graphviz-2.20.3-3.fc11.x86_64
2. Download the specified DOT file from RedHat Bugzilla (see attachment)
3. dot -Tsvg ff.dot -o ff.svg
  
Actual results:
# dot -Tsvg ff.dot -o ff.svg
*** glibc detected *** dot: double free or corruption (fasttop): 0x0000000001038530 ***
Segmentation fault
#

Expected results:
Graphviz dot should generate the SVG image.

Additional info:
I can reproduce this problem on multiple Fedora 11 x86_64 machines.
This only occurs on this version (graphviz-2.20.3-3.fc11.x86_64) of the Graphviz package.
On FC10 (graphviz-2.16.1-0.6.fc10.x86_64) this problem does not exist.
Comment 1 Egon Kastelijn 2009-06-17 04:06:03 EDT
I also reproduced the problem on a i386 machine.
(graphviz-2.20.3-3.fc11.i586)
Comment 2 Bug Zapper 2010-04-27 11:00:52 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Egon Kastelijn 2010-04-29 16:54:03 EDT
This still occurs in Fedora 12.
See also bug 587420.
Comment 4 Bug Zapper 2010-06-28 09:05:30 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.